Page 1 of 2 1 2 LastLast
Results 1 to 15 of 27

Thread: Hoe Indy update ?

Hybrid View

  1. #1

    Hoe Indy update ?

    Wat is de laatste beste versie, en hoe kan ik deze update in Delphi FMX ?

  2. #2
    Kijk op de website van Indy?
    1+1=b

  3. #3
    Daar had ik natuurlijk al gekeken

    https://www.indyproject.org/download/
    Heb ik de SSL Libraries nodig of moet ik bij versie 10 zoeken ?

    Bij de SSL Libraries staat ook een versie 10.x
    https://github.com/IndySockets/OpenSSL-Binaries

    Dan heb je ook nog
    Indy - Internet Direct
    https://github.com/IndySockets/Indy

    Dus welke heb ik nu precies nodig ?

  4. #4
    Senior Member Wok's Avatar
    Join Date
    Dec 2002
    Location
    Alkmaar
    Posts
    2,065
    Ik doe altijd een SVN update. https://svn.atozed.com:444/svn/Indy10
    Geen idee of dit de juiste methode is maar de source wordt altijd bijgewerkt.

    Peter
    10.4.2, Delphi2010, of Lazarus 2.2.0

  5. #5
    Ik kom daar niet op, heb mij al aangemeld bij https://www.atozed.com, maar dat lijkt weer iets anders te zijn.
    Dus waar kan ik mij aanmelden om hier toegang te krijgen ?

  6. #6
    Senior Member Wok's Avatar
    Join Date
    Dec 2002
    Location
    Alkmaar
    Posts
    2,065
    Click image for larger version. 

Name:	SvnIndy.png 
Views:	21 
Size:	48.0 KB 
ID:	8295

    Iets anders kan ik er niet van maken
    10.4.2, Delphi2010, of Lazarus 2.2.0

  7. #7
    De eerste link die je stuurde wijst door naar de github repository van de derde link: https://github.com/IndySockets/Indy. Daar staat niet alleen de code, maar ook een link naar een wiki met documentatie. Daarin staan ook update instructies. Laatst bijgewerkt in November 2022, dus redelijk recent.

    Die tweede link bevat SSL libraries, zodanig gecompileerd dat Indy ze kan gebruiken. Die heb je nodig wanneer je met SSL wilt werken, bijvoorbeeld als je HTTPS urls wilt bereiken. Overigens kunnen recente versies van Indy ook met de 'standaard' OpenSSL libraries werken. 't Is denk ik meer een extra service voor mensen die nog een oudere versie hebben, of niet weten waar ze anders moeten zoeken.

    De website van atozed.com heeft een (oud) ebook over Indy, en wijst ook door naar Indy (onder het menuutje 'Open source'). Daar kom je dan weer uit op de indyproject.org. Indy is wat keren verhuisd. Waarschijnlijk is die svn repository een eerder versiebeheersystem waar nog steeds een kopie van de source heen gezet wordt. Oom die te gebruiken heb je wel een SVN client nodig. Een gewone browser kan daar niet zoveel mee. De informatie op github daarentegen bevat wel download links naar specifieke versies. Daarbij kan je op github ook een zipje van de source code downloaden, zonder een aparte Git client te gebruiken.

    De documentatie is wat rommelig, maar de stap voor stap Upgrade instructies lijken aardig compleet, dus daar zou ik beginnen.
    Last edited by GolezTrol; 21-Jan-23 at 16:40.
    1+1=b

  8. #8
    Hopelijk heb ik alles goed gedaan, en ben nu zover dat ik de nieuwe versie kan gaan installeren.

    Ik heb Delphi 10.4 Sydney, en dat is (als ik goed begrijp: pakket Versie 270)
    En zou nu:
    Indy270.groupproj of IndySystem270.dpk
    moeten downloaden, maar waar kan ik die downloaden, ik krijg dat maar niet gevonden...

  9. #9
    Op de meerdere keren genoemde github pagina staat toch een download link (onder de code knop)??

    https://github.com/IndySockets/Indy

  10. #10
    Ik heb het bestand "Indy-master.zip" gedownload (dat is toch de bedoeling ?), maar daar staan zoveel mappen en bestanden in, welke heb ik nu precies nodig ? Want dat is mij helaas niet duidelijk.
    Last edited by MMSoft; 23-Jan-23 at 12:46.

  11. #11
    Quote Originally Posted by MMSoft View Post
    Ik heb het bestand "Indy-master.zip" gedownload (dat is toch de bedoeling ?), maar daar staan zoveel mappen en bestanden in, welke heb ik nu precies nodig ? Want dat is mij helaas niet duidelijk.
    Je zou moeten weten welke Delphi versie je hebt.

    Die versie staat vaak gelijk aan een "intern" nummer. Die moet je eigenlijk ook kennen om packages te installeren.

    Zoek hier je nummer op (Package version):
    https://delphidabbler.com/notes/version-numbers

    Daarna kun je wel herkennen welke packages je moet installeren (ook als je de uitleg daar leest).


    or Delphi/C++Builder/RADStudio IDEs, the packages and project groups are named after the Compiler Package Version. For example, RAD Studio 10.2 Tokyo's Package Version is 250, so you would load the Indy250.groupproj project group; for XE, you'd load Indy150.groupproj.

  12. #12
    Ik heb het bestand (Indy270.groupproj) gevonden, maar loop nu tegen het volgende probleem tegen, doe installeer ik Indy ?

    File > Open... opent het bestand en rechts krijg ik de Project gegevens te zien, maar een
    Build geeft: [dcc32 Fatal Error] dclIndyCore270.dpk(35): E2202 Required package 'IndySystem270' not found
    Install geeft: [dcc32 Fatal Error] dclIndyCore270.dpk(35): E2202 Required package 'IndySystem270' not found

    Ook heb ik geprobeerd om het als Component te installeren, maar helaas ik kom geen stap verder...

  13. #13
    Quote Originally Posted by MMSoft View Post
    Build geeft: [dcc32 Fatal Error] dclIndyCore270.dpk(35): E2202 Required package 'IndySystem270' not found
    Install geeft: [dcc32 Fatal Error] dclIndyCore270.dpk(35): E2202 Required package 'IndySystem270' not found
    Dat klinkt alsof je de stappen voor het compleet verwijderen van Indy niet goed gevolgd hebt.

    Te beginnen met "Remove the Packages from the IDE" gevolgd door "Remove the files".

    Nogmaals even het linkje voor "Updating Indy":
    https://github.com/IndySockets/Indy/wiki/Updating-Indy

  14. #14
    Dat klinkt alsof je de stappen voor het compleet verwijderen van Indy niet goed gevolgd hebt.
    Er is ook een bestand "Clean_Sydney.cmd" (om de juiste bestanden te wissen ?), maar deze krijg ik niet werkend....

  15. #15
    Quote Originally Posted by MMSoft View Post
    Er is ook een bestand "Clean_Sydney.cmd" (om de juiste bestanden te wissen ?), maar deze krijg ik niet werkend....
    Je hebt ook die tekst "(with elevated privileges, of course)" zien staan??? Dus uitvoeren als Admin.

    In Indy's repository, the \Lib source folder contains command-line Clean_<version>.cmd scripts for removing the default Indy installation from the IDE. Simply execute the appropriate script for your IDE version (with elevated privileges, of course), and the pre-installed binaries will be deleted automatically.
    Maar of die "automated" clean goed werkt weet ik niet.
    Als het niet werkt moet je het handmatig doen.

Page 1 of 2 1 2 LastLast

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •